require_relative "log_level"

class PointLogger

    def initialize (name, log_format)
        @name = name
        @format = log_format
        time = Time.new
        @format["${TIME}"] = time.hour.inspect + ":" + time.min.inspect + ":" + time.sec.inspect
        @format["${NAME}"] = @name
    end

    #Log a message into the console
    def log(level, message)
        @format["${LEVEL}"] = level.name
        @format["${MESSAGE}"] = message

        puts @format
    end

    #Basic log levels methods
    def info message
        log(LogLevel::INFO, message)
    end

    def warning message
        log(LogLevel::WARNING, message)
    end

    def severe message
        log(LogLevel::SEVERE, message)
    end

end